This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 177279 - eggcups is run and segfaults upon insertion of usb printer
eggcups is run and segfaults upon insertion of usb printer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-01-08 15:31 EST by Pete Zaitcev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 14:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2006-01-08 15:31:05 EST
Description of problem:

When a USB cable is inserted, eggcups is run (evidently), and a dialog
appears telling that "application eggcups crashed".

Version-Release number of selected component (if applicable):

desktop-printing-0.19-4.1
dbus-glib-0.60-1.1
dbus-python-0.60-1.1
dbus-0.60-1.1
dbus-x11-0.60-1.1

How reproducible:

100%

Steps to Reproduce:
1. Plug in a USB printer
  
Actual results:

Lots of pointless disk activity and an error.

Expected results:

No error (either eggcups working or not running eggcups at all).

Additional info:

Backtrace was generated from '/usr/bin/eggcups'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1209100624 (LWP 21126)]
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x4f2b218b in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x4edd609d in gnome_init_with_popt_table ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0xffffe410 in __kernel_vsyscall ()
#5  0x4efbcf7c in raise () from /lib/libc.so.6
#6  0x4efbe3e3 in abort () from /lib/libc.so.6
#7  0x4ead6655 in dbus_malloc () from /usr/lib/libdbus-1.so.2
#8  0x4eac10c8 in dbus_watch_set_data () from /usr/lib/libdbus-1.so.2
#9  0x4eac4dd6 in dbus_watch_set_data () from /usr/lib/libdbus-1.so.2
#10 0x4eaa00f7 in dbus_error_has_name () from /usr/lib/libdbus-1.so.2
#11 0x4eaa0142 in dbus_error_has_name () from /usr/lib/libdbus-1.so.2
#12 0x4eaa66ee in dbus_message_iter_append_basic ()
   from /usr/lib/libdbus-1.so.2
#13 0x080576e4 in ec_driver_prompt_dbus_message_handler (
    connection=0x80d4530, message=0x80d4f40, user_data=0x806f260)
    at ec-driver-prompt.c:240
#14 0x4eaab584 in dbus_message_new_method_return ()
   from /usr/lib/libdbus-1.so.2
#15 0x4ea96fbd in dbus_connection_dispatch () from /usr/lib/libdbus-1.so.2
#16 0x4eea48de in dbus_server_setup_with_g_main ()
   from /usr/lib/libdbus-glib-1.so.2
#17 0x4f23c943 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#18 0x4f23f893 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#19 0x4f23fc3c in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#20 0x4f695d3c in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x0804ef71 in main (argc=) at main.c:206
#22 0x4efaa5b4 in __libc_start_main () from /lib/libc.so.6
#23 0x0804e9c1 in _start ()

Thread 1 (Thread -1209100624 (LWP 21126)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4f2b218b in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x4edd609d in gnome_init_with_popt_table ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#5  0x4efbcf7c in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x4efbe3e3 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x4ead6655 in dbus_malloc () from /usr/lib/libdbus-1.so.2
No symbol table info available.
#8  0x4eac10c8 in dbus_watch_set_data () from /usr/lib/libdbus-1.so.2
No symbol table info available.
#9  0x4eac4dd6 in dbus_watch_set_data () from /usr/lib/libdbus-1.so.2
No symbol table info available.
#10 0x4eaa00f7 in dbus_error_has_name () from /usr/lib/libdbus-1.so.2
No symbol table info available.
#11 0x4eaa0142 in dbus_error_has_name () from /usr/lib/libdbus-1.so.2
No symbol table info available.
#12 0x4eaa66ee in dbus_message_iter_append_basic ()
   from /usr/lib/libdbus-1.so.2
No symbol table info available.
#13 0x080576e4 in ec_driver_prompt_dbus_message_handler (
    connection=0x80d4530, message=0x80d4f40, user_data=0x806f260)
    at ec-driver-prompt.c:240
	method =
Comment 1 Matthias Clasen 2006-02-22 14:48:42 EST
John claims he fixed a known issue in this area.
Please reopen if you still see the problem in test3 or later.

Note You need to log in before you can comment on or make changes to this bug.